No sound via headphones (headset) when Ubuntu boots with them plugged in

Bug #1583801 reported by crunch on 2016-05-19
240
This bug affects 41 people
Affects Status Importance Assigned to Milestone
PulseAudio
New
Unknown
alsa-driver (Ubuntu)
Medium
Unassigned
pulseaudio (Ubuntu)
Medium
Unassigned

Bug Description

https://gitlab.freedesktop.org/pulseaudio/pulseaudio/issues/193

The bug is twofold, first when computer boots if the headset (headphones with built-in mic, one audio jack) is plugged in, then there is no sound (via headphones or otherwise). If you plug headphones out and back in, then it usually works as expected.

The second scenario is the same, except that plugging out and back in again doesn't help. In that case, I just restart the laptop, then plug them back in again and it works.

In all cases, microphone works.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
NonfreeKernelModules: nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: crunch 3248 F.... pulseaudio
CurrentDesktop: Unity
Date: Thu May 19 22:13:20 2016
InstallationDate: Installed on 2016-05-07 (12 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_DevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: crunch 3248 F.... pulseaudio
Symptom_Jack: Black Headphone Out, Left
Symptom_Type: No sound at all
Title: [XPS 15 9550, Realtek ALC3266, Black Headphone Out, Left] No sound at all
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/07/2016
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 01.02.00
dmi.board.name: 0N7TVV
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr01.02.00:bd04/07/2016:svnDellInc.:pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 15 9550
dmi.sys.vendor: Dell Inc.

crunch (crunchiness) wrote :
Cruz Fernandez (cruz-fernandez) wrote :

This seems fixed for latest kernel 4.4.0-28-generic. (I had to clean up my pulseaudio with
'pulseaudio -k && rm -rf ~/.pulse && rm -rf ~/.config/pulse' ), and both were fixed (startup with jack connected and plugging in headphone)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Cruz Fernandez (cruz-fernandez) wrote :

Aclaration: After boot, I have to select in the Settings->Sound->Headphones to be able to hear though.

Changed in alsa-driver (Ubuntu):
importance: Undecided → Medium
Po-Hsu Lin (cypressyew) on 2017-02-02
summary: No sound via headphones (headset) when Ubuntu boots with them plugged in
- [XPS 15 9550]
Mikhail (mikhaildd) wrote :

I can confirm this, have the same behaviour on my new Dell XPS 15 9560. So sad to see this still hasn't been fixed...

Cruz Fernandez (cruz-fernandez) wrote :

@mikhaildd have you tried to select Settings->Sound->Headphones ?

vlio (zevlio) wrote :

I can confirm this too on a XPS 9560. Selecting Headphones in Settings>>Sound does not help.

Same here on a XPS 15 9550 running ubuntu 16.10. This issue occurs randomly at boot for a while now (6 months+).

Sometimes multiple reboot are needed to get the headphone to work. I tried rebooting alsa or pulse audio and other tricks like alsamixer. But somehow, I found out that suspend/resume fix it everytime... (Side note, suspend/resume breaks my wifi so need to restart NetworkManager service, but that is another issue)

I wonder what the suspend/resume process does to have this fix every time...

@louismichel the same problem happens to my wifi. I've got an upgraded Ubuntu from 16.04 to 16.10. If you have a fresh install can you report the wifi suspend/resume problem?

Another note, this bug didn't happen to me on Ubuntu 16.04. Maybe it should be reported separately for each version of Ubuntu?

I've reported the separate issue of wifi problems on suspend/resume https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1673796

Klas Alenvret (utklasad) wrote :

Fixed the no sound headphone issue for my Dell XPS 9560 by running this in the terminal:

alsactl restore

spike speigel (frail-knight) wrote :

Same issue here. No sound via headphones (headset) when Ubuntu boots with them plugged in

[Dell XPS 13 9360 Developer Edition]
Ubuntu 16.04 LTS

I can get them to start playing audio by unplugging them and plugging them back in, but I shouldn't have to. :(

tags: added: zesty
ashirviskas (minematas) wrote :

Same problem on 17.04 Gnome.

If I boot up with headphones plugged in, no sound. I have to replug to get it back.

ashirviskas (minematas) wrote :

Using Dell 7559.

Caleb Cassel (pebcak) wrote :

Dell XPS 7560
17.04 Gnome

Headphone jack won't work at all until I suspend and wake, then I have no issues. Even the main speaker sometimes has issues now, but with alsactl restore and no headphones in, I can get them to work.

Caleb Cassel (pebcak) wrote :

Sorry, that's on a 9560, not 7650. ^

Chunxiang Yan (chaunceyan) wrote :

I can also confirm this bug. I have a dell 7560 with ALC3246. I tried 14.04, 16.04, 17.04 and None of them works.

Shaabi (meshaabi) wrote :

Confirming on dell 9560! I cant get headphones to work even after reboots. It worked fine and then stopped working recently.

Wes (wesinator) wrote :

Also affects ALC3234 on Dell Latitude 3340
See https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1670059

Klas Alenvret (utklasad) wrote :

I can confirm this bug. Works after wake up from suspend - after reboot: dead.

So I've to put my computer into suspend mode and then wake it up in order to get sound in the headphone jack.

Diep Pham (favadi) wrote :

Also happens to me with Dell Precision 5510 on Ubuntu 17.04 (4.10.0-24-generic #28-Ubuntu SMP Wed Jun 14 08:14:34 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux).

Diep Pham (favadi) wrote :

It is something to do with NVIDIA proprietary driver, If I disable it in Additional Drivers, the problem disappears.

Diep Pham (favadi) wrote :

> It is something to do with NVIDIA proprietary driver, If I disable it in Additional Drivers, the problem disappears.

I speak too soon, the problem also happens with nouveau.

Hairong Zhu (hrzhu) wrote :

I have this problem on Dell Inspiron 7370(Realtek ALC3254) when using Xubuntu 17.10(4.13 kernel). After upgrading to Ubuntu mainline kernel 4.14, the problem seems gone.

Niko Morin (nnnmmm) wrote :

Confirming that this still exists on Dell XPS 15 9560, Ubuntu 16.10. I'd like to add that in the second scenario, the popup asking which audio device was plugged in does not appear.

Krešo Kunjas (deresh) wrote :

Well i have upgraded to 17.10, and problem dissapeared. Now it always works. But i have tried some other fixes before, so i cannot know if al of them are also needed.

I believe the problem is kernel related, with the kernel 4.14 the problem
is gone.

Best regards,
Chunxiang Yan

On Fri, Dec 29, 2017 at 8:59 PM, Krešo Kunjas <email address hidden> wrote:

> Well i have upgraded to 17.10, and problem dissapeared. Now it always
> works. But i have tried some other fixes before, so i cannot know if al
> of them are also needed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1583801
>
> Title:
> No sound via headphones (headset) when Ubuntu boots with them plugged
> in
>
> Status in alsa-driver package in Ubuntu:
> Confirmed
>
> Bug description:
> The bug is twofold, first when computer boots if the headset
> (headphones with built-in mic, one audio jack) is plugged in, then
> there is no sound (via headphones or otherwise). If you plug
> headphones out and back in, then it usually works as expected.
>
> The second scenario is the same, except that plugging out and back in
> again doesn't help. In that case, I just restart the laptop, then plug
> them back in again and it works.
>
> In all cases, microphone works.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
> Uname: Linux 4.4.0-22-generic x86_64
> NonfreeKernelModules: nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: crunch 3248 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Thu May 19 22:13:20 2016
> InstallationDate: Installed on 2016-05-07 (12 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
> Symptom_Card: Built-in Audio - HDA Intel PCH
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: crunch 3248 F.... pulseaudio
> Symptom_Jack: Black Headphone Out, Left
> Symptom_Type: No sound at all
> Title: [XPS 15 9550, Realtek ALC3266, Black Headphone Out, Left] No
> sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 04/07/2016
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: 01.02.00
> dmi.board.name: 0N7TVV
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 9
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias: dmi:bvnDellInc.:bvr01.02.00:bd04/07/2016:svnDellInc.:
> pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA00:cvnDellInc.:ct9:cvr:
> dmi.product.name: XPS 15 9550
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+
> bug/1583801/+subscriptions
>

Hairong Zhu (hrzhu) wrote :

uhh, well. I don't have this problem with kernel v4.14. After I upgrade to kernel v4.15-rc8, I run into this again.

Hairong Zhu (hrzhu) wrote :

It turns out I run into another problem. Pluseaudio doesn't prefer headphone in some cases, have to select headphone manually for once to fix it. Anyway the bug doesn't affect kernel v4.15.

Yura Nosenko (yuranos87) wrote :

I had various issues with my XPS 9550 related to 3,5 jack. I hope kernel 4.14+ can fix it, but it is not officially supported for now. I tried to install both 4.14 and 4.15 and got a ton of errors. Any suggestions on how to proceed? Does anyone know when 4.14 becomes recommended?

Been this way since at least Ubuntu 15.

Plug in your headphones, boot up your laptop. No sound. Speakers and headphones are disabled. Super annoying, you have to unplug and re-plug, and go through the stupid dialogue of "what are you trying to plug in?" which has no memory, and no defaults.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
tags: added: bionic
Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
Changed in pulseaudio:
importance: Unknown → Medium
status: Unknown → Confirmed
tom (tombuntus) wrote :

To anyone doing something about this bug, it could also be fixed by actually using the selection from the Select Audio Device dialogue and, you know, remembering it and using it. This would improve things for everyone much more than just making this singular Dell hardware problem go away. Nobody should have to use that dialogue every time they plug in the same device. Bad user experience, bad design.

Daniel van Vugt (vanvugt) wrote :

I agree and have already proposed the solution you describe:

https://trello.com/c/aI3BX3ax

The "what are you trying to plug in" dialog is Ubuntu specific, it's not implemented by PulseAudio itself. If you want your last choice to be remembered, you'll need to talk to the Ubuntu UI people.

Maybe there's something in PulseAudio that could be improved regarding the default behaviour. Can you attach the output of "pactl list" after boot, when you have no audio? Please use the "Add an attachment" link (sometimes people paste long texts to the comment box, which makes following the discussion difficult).

L F (luckandfate) wrote :

Output from pactl list attached

Jorge Rodríguez (yitano) wrote :

This is still happening on Ubuntu 18.04 and kernel 4.15 :( (Dell XPS 9550)

tom (tombuntus) wrote :

Confirm 18.04 / 4.15 still happening for me too :*(

Same. Except has now progressed to restart not providing workaround.

On 25 July 2018 at 03:18, tom <email address hidden> wrote:

> Confirm 18.04 / 4.15 still happening for me too :*(
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1583801
>
> Title:
> No sound via headphones (headset) when Ubuntu boots with them plugged
> in
>
> Status in PulseAudio:
> Confirmed
> Status in alsa-driver package in Ubuntu:
> Confirmed
> Status in pulseaudio package in Ubuntu:
> Confirmed
>
> Bug description:
> The bug is twofold, first when computer boots if the headset
> (headphones with built-in mic, one audio jack) is plugged in, then
> there is no sound (via headphones or otherwise). If you plug
> headphones out and back in, then it usually works as expected.
>
> The second scenario is the same, except that plugging out and back in
> again doesn't help. In that case, I just restart the laptop, then plug
> them back in again and it works.
>
> In all cases, microphone works.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu5
> ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
> Uname: Linux 4.4.0-22-generic x86_64
> NonfreeKernelModules: nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.1-0ubuntu2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: crunch 3248 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Thu May 19 22:13:20 2016
> InstallationDate: Installed on 2016-05-07 (12 days ago)
> InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64
> (20160420.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:PCH failed
> Symptom_Card: Built-in Audio - HDA Intel PCH
> Symptom_DevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: crunch 3248 F.... pulseaudio
> Symptom_Jack: Black Headphone Out, Left
> Symptom_Type: No sound at all
> Title: [XPS 15 9550, Realtek ALC3266, Black Headphone Out, Left] No
> sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 04/07/2016
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: 01.02.00
> dmi.board.name: 0N7TVV
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 9
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias: dmi:bvnDellInc.:bvr01.02.00:bd04/07/2016:svnDellInc.:
> pnXPS159550:pvr:rvnDellInc.:rn0N7TVV:rvrA00:cvnDellInc.:ct9:cvr:
> dmi.product.name: XPS 15 9550
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/pulseaudio/+bug/1583801/+subscriptions
>

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/pulseaudio/pulseaudio/issues/193.

Changed in pulseaudio:
status: Confirmed → Unknown
tags: removed: zesty
summary: - No sound via headphones (headset) when Ubuntu boots with them plugged in
+ [XPS 15 9550] [ALC3266] No sound via headphones (headset) when Ubuntu
+ boots with them plugged in

Don't know if it's related, but sometimes I don't get headphones audio when my XPS boots.
Disabling "Auto-Mute Mode" from alsamixer seems to fix the problem.

summary: - [XPS 15 9550] [ALC3266] No sound via headphones (headset) when Ubuntu
- boots with them plugged in
+ No sound via headphones (headset) when Ubuntu boots with them plugged in
tags: added: disco
description: updated
Kris M (krislema2) wrote :

1816271 I get no sound after boot whether or not headphones are plugged in.
If headphones not plugged in, after boot, plugging them in wakes sound.
If headphones ARE plugged in at boot, must unplug and plug in headphones to wake sound.
It's just not waking alsa or pulseaudio. Worked fine until about 14th or 15th.Feb

Daniel van Vugt (vanvugt) wrote :

Very suspicious. Because this happened on 14th Feb:

pulseaudio (1:12.2-2ubuntu1) disco; urgency=medium

  * Add steelseries headset support. This provides sufficient support to
    enable the Steelseries Arctis 5 and 7 Gaming Headsets (LP: #1758736).

 -- Dave Chiluk <email address hidden> Tue, 12 Feb 2019 00:50:27 -0600

Can you please try reinstalling the previous version by downloading the packages from here?;

https://launchpad.net/ubuntu/+source/pulseaudio/1:12.2-2ubuntu0/+build/15762176

Kris M (krislema2) wrote :

yes, I saw that go by. So how do I install this? download 25 modules and deb or ddeb install each one? Thanks!

Daniel van Vugt (vanvugt) wrote :

No, you only need to download the subset of packages from that list which you already have installed.

Kris M (krislema2) wrote :

sorry for beginner question - been looking thru my bug but don't see list of modules.

Kris M (krislema2) wrote :

nevermind - I searched in files and I've got them all. Give me a few.

Kris M (krislema2) wrote :

I tried to install a few of them but all I get is about 20 sec of dim screen then back with no response. I need to leave this for now. Tomorrow. Thanks for your help!

Kris M (krislema2) wrote :

These do not install. I tried both deb and ddeb of a few . screen dims for 20 sec then back. Nothing happens. Also don't know if I should be using the deb's or the ddeb's (debugging).

Daniel van Vugt (vanvugt) wrote :

Kris M,

OK, the above discussion does sound like a different bug anyway, since you say it regressed around 14 Feb. So please move back to bug 1816271 which has been reopened.

While it does sound like you are experiencing this bug, I think we should use bug 1816271 to track the part that regressed this month: that you get no sound in 19.04 even when booting without headphones plugged in.

Changed in pulseaudio:
importance: Medium → Unknown
Changed in pulseaudio:
status: Unknown → New
luca moscato (luca-moscato) wrote :

Issue appears since a week, more or less, in 18.04LTS

tags: removed: disco
tom (tombuntus) wrote :

It affects disco. Was a fix released?

tags: added: disco
Daniel van Vugt (vanvugt) wrote :

Disco has reached end-of-life so will not be receiving fixes. That's why the tag is removed.

https://wiki.ubuntu.com/Releases

tags: removed: disco
manof (manof) wrote :

It looks like a Dell-only problem.
I have a Dell 17" G7 Gaming Laptop 7790 with pre-installed Ubuntu 18.04 LTS.
However, if I remember well, the problem was not since the very beginning but started several months after I bought the notebook, maybe after some update.
Maybe the Dell proprietary modifications of Ubuntu 18.04 LTS very replaced by something in the generic Ubuntu update which created this problem.
I have a suspicion the generic Ubuntu does not manage to work well with some audio chipsets used by Dell, which is corrected with Dell proprietary fixes, but when these are replaced with generic Ubuntu updates, problems arise.

manof (manof) wrote :

Just found this work-around (Dell 7790 17" G7 Gaming Laptop):
1. Sleep
2. Unplug the audio device from jack
3. Resume
4. Plug the audio device to jack
Works.

Seems to be a power management issue (and Dell only).
Resume with the audio device plugged into jack makes the jack silent until next resume with no audio device plugged into jack.

manof (manof) wrote :

It might be of interest that together with this "no sound in jack" problem, my screen stopped to turn off after the specified amount of time. It locks, but does not turn off. I resolved this with
xset +dpms
xset dpms 300
but the Ubuntu Settings / Brightness & Lock didn't work as regards turning off the screen.
So it might be another hint the problem is somehow related to power management

(Dell 7790 17" G7 Gaming Laptop)

Bastián Muñoz (bastianfeliz) wrote :

I believe it's not a Dell-only problem. I have an HP Omen 15-ax201la Gaming Laptop with dual-boot and have the same problem: if I boot with headphones/speaker connected then there won't be any sound; if I plug out, no sound; then if I plug back in the sound comes back.

Bastián Muñoz (bastianfeliz) wrote :

Sorry, forgot to mention this happens in Ubuntu 18.04.5 LTS (HP Omen 15-ax201la dual-boot)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.